gaim-remote(1)

NAME
gaim-remote v0.82.1 - Gaim command-line remote control

SYNOPSIS

gaim-remote [command] [parameters]

gaim-remote -h [command]

DESCRIPTION

gaim-remote is a command-line interface for controlling an already-running instance of the Gaim Instant Messaging client. It currently has only rudimentary support for launching AIM-style URIs, and closing the running instance, although further functionality is planned.

OPTIONS
The following options are provided by gaim-remote:

-h [command]
    Display help for gaim-remote or a specific command (see below).

COMMANDS
The following commands are implemented by gaim-remote:

quit
    Closes the currently-running instance of Gaim.

uri [URI]
    Sends the given AIM-style URI to the currently running instance of Gaim (see below).

URIs
The following URIs are currently valid. These default to acting on the first AIM account you have in your list:

aim:goim?screenname=[SCREENNAME]
    Begins a new conversation with the given screenname.

aim:goim?screenname=[SCREENNAME]&message=[MESSAGE]
    Sends the given message to the screenname. Spaces in the message must be replaced with +.

aim:gochat?roomname=[CHATROOM]
    Opens a chat window in the given room.

aim:addbuddy?screenname=[SCREENNAME]
    Opens a dialog to add the specified buddy to your buddy list.

FILES

/tmp/gaim_[USERNAME].[INSTANCE]
    The UNIX domain socket used to contact the running instance of Gaim.

SEE ALSO
gaim(1), http://gaim.sourceforge.net/, http://www.sourceforge.net/projects/gaim/

AUTHOR

This manpage was written by Robert McQueen <robot101@debian.org> for the Debian GNU/Linux system (but may be used by others).